Bug 200589 - anaconda crashes with traceback soon after 2nd stage begins
anaconda crashes with traceback soon after 2nd stage begins
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-07-28 16:22 EDT by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-14 13:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
full anaconda traceback (76.61 KB, text/plain)
2006-07-28 16:24 EDT, Brian Brock
no flags Details
ks.cfg that causes traceback (1.06 KB, application/octet-stream)
2006-07-28 16:25 EDT, Brian Brock
no flags Details

  None (edit)
Description Brian Brock 2006-07-28 16:22:47 EDT
anaconda crashes with traceback soon after 2nd stage begins.

Version-Release number of selected component (if applicable):

Still looking for conditions that don't trigger this, will add as comments.  The
ks.cfg I'm attaching shortly tracebacks ever time.

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 971, in ?
  File "/usr/lib/anaconda/text.py", line 491, in run
    (step, instance) = anaconda.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 222, in currentStep
  File "/usr/lib/anaconda/dispatch.py", line 123, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 200, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/autopart.py", line 1464, in doAutoPartition
    doPartitioning(diskset, partitions, doRefresh = 0)
  File "/usr/lib/anaconda/autopart.py", line 1008, in doPartitioning
    processPartitioning(diskset, requests, newParts)
  File "/usr/lib/anaconda/autopart.py", line 952, in processPartitioning
    fitSized(diskset, requests, 1, newParts)
  File "/usr/lib/anaconda/autopart.py", line 347, in fitSized
    disk = diskset.disks[drive]
KeyError: 'sda'
Comment 1 Brian Brock 2006-07-28 16:24:13 EDT
Created attachment 133265 [details]
full anaconda traceback
Comment 2 Brian Brock 2006-07-28 16:25:38 EDT
Created attachment 133266 [details]
ks.cfg that causes traceback
Comment 3 Jeremy Katz 2006-07-28 16:36:35 EDT
That's because you don't appear to have an sda and just have an sde....
Comment 4 Brian Brock 2006-07-28 17:06:39 EDT
partitions on the system post-install look like:
   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14       14593   117113850   8e  Linux LVM

sda1 is /boot, sda2 is the lvm part for root.  CD-ROM is hdc.

This is printed to serial console during install:
Adding 2031608k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev dm-0, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sde1, internal journal

Removed partition steps from ks.cfg and retried.  When prompted to select a
partition for install, the only available partition is sde.  At this point, tty3

WARNING : requested drive sda in boot drive order doesn't exist
WARNING : step installtype does not exist
WARNING : step complete does not exist
WARNING : step complete does not exist
WARNING : step complete does not exist
INFO    : moving (1) to step partionobjinit
INFO    : no initiator set
ERROR   : could not create directory //dev/mapper: File exists.
INFO    : moving (1) to step parttype

Selected sde for installation, and format of / began.  Installation continued
through completion.  After package installation, the following message was
printed several (4-6) times, then the expected text messages about shutdown:

Disk not ready.  Make sure that there is a disk in the drive.

post-install, the system boots without problem.
Comment 5 Brian Brock 2006-08-01 10:17:40 EDT
Still occuring with rawhide-20060801
Comment 6 Jeremy Katz 2006-08-01 11:18:31 EDT
Fixed in CVS

(Note, you can workaround by not specifying explicitly that you want to use sda
and instead letting anaconda figure it out for itself)

Note You need to log in before you can comment on or make changes to this bug.